#!/usr/bin/env bash

# basic
alias gfl='git flow'
alias gfli='git flow init'

# feature/bugfix/hotfix/release
alias gflf='git flow feature'
alias gflb='git flow bugfix'
alias gflh='git flow hotfix'
alias gflr='git flow release'

# git flow checkout
alias gflfc='git flow feature checkout'
alias gflbc='git flow bugfix checkout'
alias gflhc='git flow hotfix checkout'
alias gflrc='git flow release checkout'

# start
alias gflfs='git flow feature start'
alias gflbs='git flow bugfix start'
alias gflhs='git flow hotfix start'
alias gflrs='git flow release start'

# finish
alias gflff='git flow feature finish'
alias gflbf='git flow bugfix finish'
alias gflhf='git flow hotfix finish'
alias gflrf='git flow release finish'

# publish
alias gflfp='git flow feature publish'
alias gflbp='git flow bugfix publish'
alias gflhp='git flow hotfix publish'
alias gflrp='git flow release publish'

# track(pull)
alias gflft='git flow feature track'
alias gflbt='git flow bugfix track'
alias gflht='git flow hotfix track'
alias gflrt='git flow release track'

# resources
# https://www.git-tower.com/learn/git/ebook/cn/command-line/advanced-topics/git-flow
# https://zhangmengpl.gitbooks.io/gitlab-guide/content/whatisgitflow.html
# https://danielkummer.github.io/git-flow-cheatsheet/index.zh_CN.html
# https://github.com/ohmyzsh/ohmyzsh/tree/master/plugins/git-flow
